# 8.4:  DataFrame from csv or excel.  Read ../revenue.csv using the pd.read_csv() function.  Then
# read ../revenue.xlsx using the pd.read_excel() function.  Print each DataFrame.

# (Note that the openpyxl module is required for reading .xls and xlrd module is required for eading
# .xlsx files.  The engine= argument may be required, specifying one of the two, although in tests
# it appeared that this is no longer necessary.)

import pandas as pd

fname     = '../revenue.csv'
xlsx_name = '../revenue.xlsx'
xls_name  = '../revenue.xls'

df = pd.read_csv(fname)
df2 = pd.read_excel(xlsx_name)
df3 = pd.read_excel(xls_name)

print(df)

